> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-compose/apis/management.md).

# Management

The Management API is where you can administrate all non-content aspects of your project.

Using the Management API, you can manage environments, user permissions, content type schemas, and more.

## Authentication

To authenticate to the Management API, your applications will use an OAuth client credentials flow outlined on [Access Control](/umbraco-compose/getting-started/access-control.md).

## OpenAPI

The Management API is fully compliant with the [OpenAPI](https://www.openapis.org/) v3 specification. It publishes an OpenAPI JSON document at the following link, which you can import into API tools or use to generate your own client libraries.

{% content-ref url="<https://management.umbracocompose.com/v1>" %}
<https://management.umbracocompose.com/v1>
{% endcontent-ref %}

## API Documentation

You can find an overview and examples of how to call Management API endpoints on the API specification page below.

{% content-ref url="<https://apidocs.umbracocompose.com/>" %}
<https://apidocs.umbracocompose.com/>
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/umbraco-compose/apis/management.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
